org.apache.fop.render.afp

## Class AFPRendererContext

- java.lang.Object
- - org.apache.fop.render.RendererContext
  - - org.apache.fop.render.afp.AFPRendererContext

    public class AFPRendererContext
    extends RendererContext

AFP-specific renderer context class.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.render.RendererContext

`RendererContext.RendererContextWrapper`

### Constructor Summary

Constructors
Constructor and Description
`AFPRendererContext(AbstractRenderer renderer, String mime)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`AFPInfo` `getInfo()` Returns a new AFPInfo for this renderer context

### Methods inherited from class org.apache.fop.render.RendererContext

`getMimeType, getProperty, getRenderer, getUserAgent, setProperty, setUserAgent, toString, wrapRendererContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AFPRendererContext

    public AFPRendererContext(AbstractRenderer renderer,
                              String mime)

Main constructor

Parameters:
  `renderer` - the current renderer
  `mime` - the MIME type of the output that's generated.

### Method Detail

#### getInfo

    public AFPInfo getInfo()

Returns a new AFPInfo for this renderer context

Returns:
  an AFPInfo for this renderer context